Package org.eclipse.help.ui.internal

# Class ShowInTocAction

java.lang.Object
org.eclipse.help.ui.internal.ShowInTocAction

All Implemented Interfaces:
  `Runnable`, `ILiveHelpAction`

public class ShowInTocAction extends Object implements ILiveHelpAction

## Constructor Summary

Constructors
Constructor
Description
`ShowInTocAction()`

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
`void`
`setInitializationString(String data)`
This method will be called upon instantiation of the live help extension.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ShowInTocAction

public ShowInTocAction()

## Method Details

### setInitializationString

public void setInitializationString(String data)
Description copied from interface: `ILiveHelpAction`
This method will be called upon instantiation of the live help extension. The data will be passed as specified in the help document live help link.

Specified by:
  `setInitializationString` in interface `ILiveHelpAction`
Parameters:
  `data` - - initialization data as a String

### run

public void run()

Specified by:
  `run` in interface `Runnable`